### Jan 2011
###
### This is the code to run the EVSI

#source the code for the model and input distributions
source("model_and_inputs.R")

#first source the functions required
source("function_code.R")

#source the code for the approximation functions
source("approximation_code.R")

#source code for the function to calculate EVSI via MCMC and via BK method
source("PartialEvsiBKVersusMCMC.R")

#define k (number of outer loops), j (number of loops for MCMC), the burn-in and the seed
kdraw <- 10
jdraw <- 10000
nburnin <- 10000

#the six data collection exercises
PartialEvsiBKVersusMCMCResult1<-PartialEvsiBKVersusMCMC(kdraw, jdraw, nburnin, 10, 50, 200)
PartialEvsiBKVersusMCMCResult2<-PartialEvsiBKVersusMCMC(kdraw, jdraw, nburnin, 10, 200, 50)
PartialEvsiBKVersusMCMCResult3<-PartialEvsiBKVersusMCMC(kdraw, jdraw, nburnin, 50, 10, 200)
PartialEvsiBKVersusMCMCResult4<-PartialEvsiBKVersusMCMC(kdraw, jdraw, nburnin, 50, 200, 10)
PartialEvsiBKVersusMCMCResult5<-PartialEvsiBKVersusMCMC(kdraw, jdraw, nburnin, 200, 10, 50)
PartialEvsiBKVersusMCMCResult6<-PartialEvsiBKVersusMCMC(kdraw, jdraw, nburnin, 200, 50, 10)

